import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/waseem-medhat/8033e78bfd42a68ae08750cf2a4fd2ae/raw/hiv.csv';

const row = (d) => {
  d.aids = +d['Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent)']
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};
